%define version 0.0.9
%define release 1mdk

%define lib_major 3
%define libname %mklibname ggzdmod %{lib_major}
%define libname_basic libggzdmod

%define enable_mysql 0
%{?_with_mysql: %global enable_mysql 1}

%define enable_pgsql 0
%{?_with_pgsql: %global enable_pgsql 1}

Name:		ggz-server
Summary:	Server software for the GGZ Gaming Zone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
Source:		%name-%version.tar.bz2
Patch0:		ggz-server-0.0.9-detect-db4.patch.bz2
URL:		http://www.ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libggz-devel = %{version}
Buildrequires:	popt-devel
BuildRequires:	expat-devel
%if %enable_mysql
BuildRequires:	mysql-devel
%else
%if %enable_pgsql
BuildRequires:	postgresql-devel
%else
BuildRequires:	libdb4.2-devel
%endif
%endif
Requires:	libggz = %{version}
Requires:	%{libname} = %{version}

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

# Main package
%package -n	%{libname}
Summary:	GGZ server libraries
Group:		Games/Other
Provides:	%{libname_basic} = %{version}

%description -n	%{libname}
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides the libraries needed to run the server.

# Devel package
%package	devel
Summary:	GGZ server development libraries
Group:		Games/Other
Provides:	%{libname_basic}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}

%description	devel
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides all development related files necessary for you to
develop or compile any extra games which supports GGZ gaming server.

%prep
%if %enable_mysql && %enable_pgsql
echo "\"--with mysql\" and \"--with pgsql\" can't be used together."
exit 1
%endif

%setup -q
%patch0 -p1 -b .db4

autoconf

%build
%configure2_5x \
%if %enable_mysql
	--with-database=mysql
%else
%if %enable_pgsql
	--with-database=pgsql
%else
	--with-database=db4
%endif
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README README.GGZ TODO

%config(noreplace) /etc/ggzd
%{_bindir}/*
%{_libdir}/ggzd
%{_datadir}/ggzd
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libggzdmod.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog HACKING

%{_includedir}/*
%{_libdir}/libggzdb.a
%{_libdir}/libggzdmod.a
%{_libdir}/libggzdmod.la
%{_libdir}/libggzdmod.so

%changelog
* Sat Jan 15 2005 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Fri Mar 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated for 0.0.6 release
- Mandrakized (split off libggz-server1/libggz-server1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5 release

* Wed Sep 12 2001 Jason Short <jdorje@users.sourceforge.net>
- Updated files and miscellany for 0.0.5pre

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Added files necessary for 0.0.4

* Thu May 31 2001 Brent Hendricks <bmh@users.sourceforge.net>
- Updated for release 0.0.4

* Thu Aug 31 2000 Rich Gade <rgade@users.sourceforge.net>
- Updated for release 0.0.3
- Moved default location for db files to /var/tmp

* Mon Aug 21 2000 Rich Gade <rgade@usrs.sourceforge.net>
- Updated for version 0.0.3pre

* Mon Apr 24 2000 Brent Hendricks <bmh@users.sourceforge.net>
- Removed easysock files from list

* Thu Apr 20 2000 Rich Gade <rgade@users.sourceforge.net>
- Rewrote to use a BuildRoot in /var/tmp
- Moved sysconfdir to /etc

* Sat Apr 15 2000 Rich Gade <rgade@users.sourceforge.net>
- First stab at a .spec file for the Gnu Gaming Zone server
